import type { IBase, IBaseTransaction } from "@happ-manager/crypto-utils";
import type { IConditionsGroup } from "../../conditions-groups/interfaces/conditions-group.interface";
import type { GroupOperatorEnum } from "../../strategies/enums/group-operator.enum";
import type { MilestoneTypeEnum } from "../../strategies/enums/milestone-type.enum";
import type { ICheckedTransactions } from "../../strategies/interfaces/checked.interface";
import type { IStrategy } from "../../strategies/interfaces/strategy.interface";
export interface ICheckedProps {
    strategy: IStrategy;
    milestone: IMilestone;
    transactions: IBaseTransaction[];
    checkedTransactions: ICheckedTransactions;
}
export interface IMilestone extends IBase {
    id: string;
    name?: string;
    description?: string;
    value?: string;
    strategy: IStrategy;
    conditionsGroups: IConditionsGroup[];
    type: MilestoneTypeEnum;
    refMilestone?: IMilestone;
    groupOperator: GroupOperatorEnum;
    position: number;
}
